
from swiginac import *
from SyFi import *

x = cvar.x; y = cvar.y 

t = ReferenceTriangle()

B = bernstein(2, t, 'a')
print "2. order Bernstein polynomial on a triangle ", B 

P = B[0]
dPdx = diff(P, x)  
print "Derivative with respect to x ", dPdx  

int_dPdx = t.integrate(dPdx) 
print "Integral of dPdx over a triangle ", int_dPdx 

int_line1_dPdx = t.line(1).integrate(dPdx) 
print "Integral of dPdx over an edge ",  int_line1_dPdx 




