
from swiginac import *
from SyFi import *

G = symbolic_matrix(2,2,"G")

polygon = ReferenceTriangle()
v_element = VectorLagrangeFE(polygon,2)
v_element.set_size(2)
v_element.compute_basis_functions()

p_element = LagrangeFE(polygon,1)
p_element.compute_basis_functions()

for i in range(0,p_element.nbf()): 
    print "N(%d)="%i, p_element.N(i)

for i in range(0,v_element.nbf()): 
    for j in range(0,p_element.nbf()): 
        integrand = div(v_element.N(i),G)*p_element.N(j)
        Bij =  polygon.integrate(integrand)
        print "B[%d,%d]=%s "% (i,j, Bij) 



