
from swiginac import *
from SyFi import *

x0 = symbol("x0"); y0 = symbol("y0")
x1 = symbol("x1"); y1 = symbol("y1")
x2 = symbol("x2"); y2 = symbol("y2")

p0 = [x0,y0]; p1 = [x1,y1]; p2 = [x2,y2]

polygon = Triangle(p0,p1,p2)
v_element = VectorLagrangeFE(polygon,2)
v_element.set_size(2)
v_element.compute_basis_functions()

p_element = LagrangeFE(polygon,1)
p_element.compute_basis_functions()

for i in range(0,v_element.nbf()): 
    for j in range(0,p_element.nbf()): 
        integrand = div(v_element.N(i))*p_element.N(j)
        Bij =  polygon.integrate(integrand)
        print "B[%d,%d]=%s;\n\n"% (i,j, Bij) 



