
from swiginac import *
from SyFi import *

triangle = ReferenceTriangle()
vfe = Robust(triangle)
vfe.compute_basis_functions()
for i in range(0,vfe.nbf()): 
    print "N(%d)=%s" % (i,vfe.N(i)) 
    print "div(N(%d))=%s" % (i,div(vfe.N(i)).expand()) 
    print "dof(%d)=%s" % (i,vfe.dof(i)) 


pfe = P0(triangle)
pfe.compute_basis_functions()


for i in range(0,vfe.nbf()): 
    for j in range(0,pfe.nbf()): 
        integrand = (div(vfe.N(i))*pfe.N(j)).expand()
        Bij = triangle.integrate(integrand)
        print "B[%d,%d]=%s; " % (i,j,Bij)



