#ifndef CROUZEIXRAVIART_IS_INCLUDED
#define CROUZEIXRAVIART_IS_INCLUDED


#include "FE.h"

namespace SyFi {

class CrouzeixRaviart : public StandardFE {
    public: 
        CrouzeixRaviart(); 
        CrouzeixRaviart(Polygon& p, int order = 1); 
        virtual ~CrouzeixRaviart() {}

        void compute_basis_functions();  
}; 

class VectorCrouzeixRaviart : public StandardFE {
    protected: 
        int size; 
    public: 
        VectorCrouzeixRaviart(); 
        VectorCrouzeixRaviart(Polygon& p, int order = 1, int size = -1); 
        virtual ~VectorCrouzeixRaviart() {}

        virtual void set_size(int size_);  
        virtual void compute_basis_functions();  
}; 

}


#endif 
