#ifndef DISCONTINUOUSLAGRANGEFE_IS_INCLUDED
#define DISCONTINUOUSLAGRANGEFE_IS_INCLUDED 

#include "LagrangeFE.h"


namespace SyFi {

class DiscontinuousLagrangeFE : public LagrangeFE{
    int element; 
    public: 
    DiscontinuousLagrangeFE(); 
    DiscontinuousLagrangeFE(Polygon& p, int order = 1); 
    virtual ~DiscontinuousLagrangeFE() {}

    virtual void set_element_number(int element); 
    virtual void compute_basis_functions();  
}; 



class VectorDiscontinuousLagrangeFE : public VectorLagrangeFE {
    protected: 
        int element; 
    public: 
        VectorDiscontinuousLagrangeFE(); 
        VectorDiscontinuousLagrangeFE(Polygon& p, int order = 1); 
        virtual ~VectorDiscontinuousLagrangeFE() {}

        virtual void set_element_number(int element); 
        virtual void set_size(int size_);  
        virtual void compute_basis_functions();  
}; 

} // namespace SyFi 

#endif
