#ifndef P0FE_IS_INCLUDED
#define P0FE_IS_INCLUDED 

#include "FE.h"

namespace SyFi {

class P0 : public StandardFE {
    public: 
        P0(); 
        P0(Polygon& p, int order = 0); 
        virtual ~P0() {}

        virtual void compute_basis_functions();  
}; 

class VectorP0 : public StandardFE {
  protected: 
    int size; 
  public: 
        VectorP0(); 
        VectorP0(Polygon& p, int order = 0, int size = -1 ); 
        ~VectorP0() {}

        virtual void set_size(int size_);  
        virtual void compute_basis_functions();  
};


}

#endif 
