#ifndef TEMPSYMBOLHANDLER_IS_INCLUDED
#define TEMPSYMBOLHANDLER_IS_INCLUDED

#include <string>
#include <ginac/ginac.h>


namespace SyFi
{

class TempSymbolHandler
{
	std::string tempsymbolbasename;
	int         lasttempsymbolnumber;

public:
	TempSymbolHandler(const std::string & tempsymbolbasename_, int initialsymbolnumber);
	
  const GiNaC::symbol & get_next_symbol();
};


} // namespace SyFi

#endif 
