from swiginac import *
from SyFi import *

initSyFi(3)
t = ReferenceTetrahedron()
fe = LagrangeFE(t, 1) 


Jinv = symbolic_matrix(3,3, 'Jinv')


for i in range(0, fe.nbf()):
   for j in range(0, fe.nbf()):
      integrand = inner(grad(fe.N(i), Jinv), 
                        grad(fe.N(j), Jinv))
      Aij = t.integrate(integrand) 
      print "A[%d, %d] = %s " % (i,j, Aij.evalf().printc())


