
from swiginac import *
from SyFi import *

polygon = ReferenceTriangle()
fe = LagrangeFE(polygon,5)
fe.compute_basis_functions()

N_string = ""
for i in range(0,fe.nbf()): 
    N_string += "    N[%d]=%s;\n"% (i, fe.N(i).printc())

c_code = """
void basis2D(double N[%d], double x, double y) { 
%s
} """ % (fe.nbf(), N_string)

print c_code


