#include "TempSymbolHandler.h"
#include "symbol_factory.h"

using namespace std;
using namespace GiNaC;


namespace SyFi
{

TempSymbolHandler::TempSymbolHandler(const string & tempsymbolbasename_, int initialsymbolnumber):
	tempsymbolbasename(tempsymbolbasename_),
	lasttempsymbolnumber(initialsymbolnumber-1)
{
}

// get the next numbered symbol
const symbol & TempSymbolHandler::get_next_symbol()
{
	lasttempsymbolnumber++;
	return isymb(tempsymbolbasename, lasttempsymbolnumber);
}


} // namespace SyFi
